## NMDeviceOvsPort

NMDeviceOvsPort

## Functions

const GPtrArray * | nm_device_ovs_port_get_slaves ()

## Properties

GPtrArray * | slaves | Read

## Types and Values

#define | NM_DEVICE_OVS_PORT_SLAVES
| NMDeviceOvsPort

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceOvsPort

## Description

## Functions

### nm_device_ovs_port_get_slaves ()

    const GPtrArray *
    nm_device_ovs_port_get_slaves (NMDeviceOvsPort *device);

`nm_device_ovs_port_get_slaves` has been deprecated since version 1.34 and should not be used in newly-written code.

Use `nm_device_get_ports()` instead.

Gets the interfaces currently enslaved to `device` .

#### Parameters

device | a NMDeviceOvsPort |

#### Returns

the GPtrArray containing NMDevices that are slaves of `device` . This is the internal copy used by the device, and must not be modified.

[element-type NMDevice]

Since: 1.14

## Types and Values

### NM_DEVICE_OVS_PORT_SLAVES

    #define NM_DEVICE_OVS_PORT_SLAVES "slaves"

### NMDeviceOvsPort

    typedef struct _NMDeviceOvsPort NMDeviceOvsPort;

Since: 1.10

## Property Details

### The `“slaves”` property

      “slaves”                   GPtrArray *

Gets the interfaces currently enslaved to the device.

[type GPtrArray(NMDevice)]

Owner: NMDeviceOvsPort

Flags: Read

Since: 1.22